IPCS(1)

NAZWA
ipcs - pokazuje informacje o urządzeniach IPC

SKŁADNIA
ipcs [opcje]

OPIS
ipcs pokazuje informacje o urządzeniach komunikacji międzyprocesowej do których wywołujący proces ma dostęp do odczytu. Domyślnie pokazuje informacje o trzech zasobach: segmentach pamięci dzielonej, kolejkach wiadomości i tablicach semaforów.

OPCJE

-i, --id id
    Pokazuje wszystkie szczegóły o zasobie o identyfikatorze id. Tę opcję należy użyć razem z jedną z opcji zasobów: -m, -q lub -s.

-h, --help
    Wyświetla pomoc i wychodzi.

-V, --version
    Wypisuje informację o wersji programu i wychodzi.

  Opcje zasobów

-m, --shmems
    Wypisuje informacje o aktywnych segmentach pamięci dzielonej.

-q, --queues
    Wypisuje informacje o aktywnych kolejkach komunikatów.

-s, --semaphores
    Wypisuje informacje o aktywnych zestawach semaforów.

-a, --all
    Wypisuje informacje o wszystkich trzech zasobach (domyślnie).

  Formaty wyjściowe
Przy podaniu więcej niż jednej z poniższych opcji zadziała tylko ostatnia.

-c, --creator
    Pokazuje twórcę i właściciela.

-l, --limits
    Pokazuje limity zasobów.

-p, --pid
    Pokazuje PID twórcy i ostatniego operatora.

-t, --time
    Informacja o czasie zapisu. Czas ostatniej operacji kontroli która zmieniła uprawnienia dostępu do wszystkich rzeczy, czas ostatniej operacji msgsnd() i msgrcv() na kolejkach wiadomości, czas ostatnich operacji shmat() i shmdt() na pamięci dzielonej i czas ostatniej operacji semop() na semaforach.

-u, --summary
    Pokazuje podsumowanie statusu.

  Reprezentacja
Wpływa to tylko na opcję -l (--limits).

-b, --bytes
    Wypisuje rozmiar w bajtach.

--human
    Wyświetla rozmiary w formacie czytelnym dla ludzi.

ZOBACZ TAKŻE
ipcrm(1), ipcmk(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2)

ZGODNE Z
Linuksowa wersja programu ipcs nie jest w pełni zgodna ze standardem POSIX. Wersja linuksowa nie obsługuje opcji POSIX -a, -b i -o, ale obsługuje niewymienione w POSIX opcje -l i -u. Przenośne aplikacje nie powinny używać opcji -a, -b, -o, -l oraz -u.

AUTOR
Krishna Balasubramanian (balasub@cis.ohio-state.edu)

DOSTĘPNOŚĆ
Polecenie ipcs jest częścią pakietu util-linux i jest dostępne z Archiwum jądra Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28 oryginału.